PETSc version 3.15.5
Fix/Edit manual page

# PetscViewersGetViewer

Gets a PetscViewer from a PetscViewer collection

### Synopsis

    PetscErrorCode  PetscViewersGetViewer(PetscViewers viewers,PetscInt n,PetscViewer *viewer)

Not Collective, but PetscViewer will be collective object on PetscViewers

### Input Parameter

| viewers | - object created with PetscViewersCreate()
| n | - number of PetscViewer you want

### Output Parameter

| viewer | - the PetscViewer

### See Also

PetscViewersCreate(), PetscViewersDestroy()

### Level

intermediate

### Location

src/sys/classes/viewer/interface/viewers.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages